#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TREMPER.PriceExtensions[] cachePriceExtensions;

		
		public TREMPER.PriceExtensions PriceExtensions(bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			return PriceExtensions(Input, examineStrategies, enableFromAllAccounts, examineManualTrades, aTR_Period, saveEnabled, postTradeMAEMFE_ReversalATRs, postTradeMAEMFE_SaveDirectory, manual_SKU, targetAccount);
		}


		
		public TREMPER.PriceExtensions PriceExtensions(ISeries<double> input, bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			if (cachePriceExtensions != null)
				for (int idx = 0; idx < cachePriceExtensions.Length; idx++)
					if (cachePriceExtensions[idx].ExamineStrategies == examineStrategies && cachePriceExtensions[idx].EnableFromAllAccounts == enableFromAllAccounts && cachePriceExtensions[idx].ExamineManualTrades == examineManualTrades && cachePriceExtensions[idx].ATR_Period == aTR_Period && cachePriceExtensions[idx].SaveEnabled == saveEnabled && cachePriceExtensions[idx].PostTradeMAEMFE_ReversalATRs == postTradeMAEMFE_ReversalATRs && cachePriceExtensions[idx].PostTradeMAEMFE_SaveDirectory == postTradeMAEMFE_SaveDirectory && cachePriceExtensions[idx].Manual_SKU == manual_SKU && cachePriceExtensions[idx].TargetAccount == targetAccount && cachePriceExtensions[idx].EqualsInput(input))
						return cachePriceExtensions[idx];
			return CacheIndicator<TREMPER.PriceExtensions>(new TREMPER.PriceExtensions(){ ExamineStrategies = examineStrategies, EnableFromAllAccounts = enableFromAllAccounts, ExamineManualTrades = examineManualTrades, ATR_Period = aTR_Period, SaveEnabled = saveEnabled, PostTradeMAEMFE_ReversalATRs = postTradeMAEMFE_ReversalATRs, PostTradeMAEMFE_SaveDirectory = postTradeMAEMFE_SaveDirectory, Manual_SKU = manual_SKU, TargetAccount = targetAccount }, input, ref cachePriceExtensions);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TREMPER.PriceExtensions PriceExtensions(bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			return indicator.PriceExtensions(Input, examineStrategies, enableFromAllAccounts, examineManualTrades, aTR_Period, saveEnabled, postTradeMAEMFE_ReversalATRs, postTradeMAEMFE_SaveDirectory, manual_SKU, targetAccount);
		}


		
		public Indicators.TREMPER.PriceExtensions PriceExtensions(ISeries<double> input , bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			return indicator.PriceExtensions(input, examineStrategies, enableFromAllAccounts, examineManualTrades, aTR_Period, saveEnabled, postTradeMAEMFE_ReversalATRs, postTradeMAEMFE_SaveDirectory, manual_SKU, targetAccount);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TREMPER.PriceExtensions PriceExtensions(bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			return indicator.PriceExtensions(Input, examineStrategies, enableFromAllAccounts, examineManualTrades, aTR_Period, saveEnabled, postTradeMAEMFE_ReversalATRs, postTradeMAEMFE_SaveDirectory, manual_SKU, targetAccount);
		}


		
		public Indicators.TREMPER.PriceExtensions PriceExtensions(ISeries<double> input , bool examineStrategies, bool enableFromAllAccounts, bool examineManualTrades, int aTR_Period, bool saveEnabled, double postTradeMAEMFE_ReversalATRs, string postTradeMAEMFE_SaveDirectory, string manual_SKU, string targetAccount)
		{
			return indicator.PriceExtensions(input, examineStrategies, enableFromAllAccounts, examineManualTrades, aTR_Period, saveEnabled, postTradeMAEMFE_ReversalATRs, postTradeMAEMFE_SaveDirectory, manual_SKU, targetAccount);
		}

	}
}

#endregion
